import { Coordinate } from "ol/coordinate";

export type SatelliteMapsProvider = 'google' | 'yandex' | 'custom' | 'static'

export type IGeometryType = 'LINE' | 'POLYGON'

export interface IRectCoords {
    bl: Coordinate | undefined,
    tl: Coordinate | undefined,
    tr: Coordinate | undefined,
    br: Coordinate | undefined
}